How to Become an Auditor

Account creation and activation is closed for the fall semester. The next activation period will take place Monday through Thursday, December 2-5, 2019 and Monday through Thursday, December 9-12, 2019. The office is open from 9:00 am to 4:00 pm weekdays. No appointment is necessary for activation.

To join the Community Auditing Program please follow the steps below.

Step 1 - Create an account: Click on the CAP Online Registration Website to get started. After your account is created it must be activated. All new accounts require activation. Not computer savvy? Watch our video tutorial below and learn about joining the program.

Step 2 - Account Activation: Accounts are activated upon a one-time, in-person verification of residence and age in our offices at 4 Mercer Street. A U.S. driver’s license is adequate documentation to verify both residency and age. New account activation will cease one week prior to registration for system updates and maintenance. 

Fee: $200 per course unless noted otherwise, per semester.

Auditor Only Series Fee: $125

Payment: Credit card (Visa, MasterCard, and Discover) accepted online; check, cash  accepted in-person, on-site. We do not accept American Express cards.

Computer Requirements for Registration

In preparation for registration we want to provide you with an update about technical requirements for your computer system that will improve your online registration experience.

To provide our customers the most effective and secure online experience, we are continually upgrading our online features and services. As we add new features and enhancements to our service, older browser versions may not support these new standards. For Security and common compatibility, CampusCE officially tests against and supports the following browsers:

• Internet Explorer 11.x and higher for Windows

• Microsoft Edge 15.x and higher for Windows 10+

• Google Chrome 48.x and higher for Windows and Macintosh

• Mozilla Firefox 44.x and higher for Windows

• Apple Safari 9.x and higher for Mac OS